GNU bug report logs - #55228
[PATCH 2/2] gnu: neovim: upgrade to 0.7.0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Ryan Sundberg <ryan@HIDDEN>; Keywords: patch; merged with #55229; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 55228-done <at> debbugs.gnu.org:


Received: (at 55228-done) by debbugs.gnu.org; 20 May 2022 18:18:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 14:18:27 2022
Received: from localhost ([127.0.0.1]:40083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns7Cf-0004WM-5M
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 14:18:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ns7Ce-0004WB-5C
 for 55228-done <at> debbugs.gnu.org; Fri, 20 May 2022 14:18:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60210)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ns7CY-0006sO-SC; Fri, 20 May 2022 14:18:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=QkUETIgi4oLQmCMwKlKbbsH7RuRbPAmt99I8iG++dlg=; b=E9egXtOb/cLm1xU3si1C
 JAMpUJ5zMv0EFcwDmH1m73/TkV91fgudM6rDIjCcmOCJAeW4qn2HSMIrL7GS/JHgNtepSya4ly3Yn
 6hyN358vQPi0+wpyNEuVmmyrd7iGzRmfW3qanHzBJseuwuNZlRwRoxd9saZQAJIZb9DhUcJ57r4i6
 ETCRvwzL2tk+mpkW8BxToPIbqRj4vDaxdBR6ufrfGSQ4hk8iizq01RINvN1mXqyD6TDJ/55nyoUSI
 XWrEVx2eAekKS8VcqbivUBNa+2eS6g+fTjPjDlpfRzlpTf8utIwER7mzXoA5UCWve/sBdkcETqE7D
 xt8Hh4s7Eodvsg==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49388 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1ns7CY-0001a2-FJ; Fri, 20 May 2022 14:18:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ryan Sundberg <ryan@HIDDEN>
Subject: Re: bug#55228: [PATCH 2/2] gnu: neovim: upgrade to 0.7.0
References: <20220502191338.5032-1-ryan@HIDDEN>
 <20220502191338.5032-2-ryan@HIDDEN>
Date: Fri, 20 May 2022 20:18:12 +0200
In-Reply-To: <20220502191338.5032-2-ryan@HIDDEN> (Ryan Sundberg's message
 of "Mon, 2 May 2022 12:13:39 -0700")
Message-ID: <87zgjcvziz.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55228-done
Cc: 55228-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Ryan Sundberg <ryan@HIDDEN> skribis:

> * gnu/packages/vim.scm (neovim): Upgrade to 0.7.0

This was done independently and pushed a few days ago as commit
e49a2d03bbfcc0cc6b69f2299ba661f2e581301e.

Closing, thanks!

Ludo=E2=80=99.




Notification sent to Ryan Sundberg <ryan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 55228-done <at> debbugs.gnu.org:


Received: (at 55228-done) by debbugs.gnu.org; 20 May 2022 18:18:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 20 14:18:27 2022
Received: from localhost ([127.0.0.1]:40083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ns7Cf-0004WM-5M
	for submit <at> debbugs.gnu.org; Fri, 20 May 2022 14:18:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1ns7Ce-0004WB-5C
 for 55228-done <at> debbugs.gnu.org; Fri, 20 May 2022 14:18:20 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60210)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1ns7CY-0006sO-SC; Fri, 20 May 2022 14:18:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=QkUETIgi4oLQmCMwKlKbbsH7RuRbPAmt99I8iG++dlg=; b=E9egXtOb/cLm1xU3si1C
 JAMpUJ5zMv0EFcwDmH1m73/TkV91fgudM6rDIjCcmOCJAeW4qn2HSMIrL7GS/JHgNtepSya4ly3Yn
 6hyN358vQPi0+wpyNEuVmmyrd7iGzRmfW3qanHzBJseuwuNZlRwRoxd9saZQAJIZb9DhUcJ57r4i6
 ETCRvwzL2tk+mpkW8BxToPIbqRj4vDaxdBR6ufrfGSQ4hk8iizq01RINvN1mXqyD6TDJ/55nyoUSI
 XWrEVx2eAekKS8VcqbivUBNa+2eS6g+fTjPjDlpfRzlpTf8utIwER7mzXoA5UCWve/sBdkcETqE7D
 xt8Hh4s7Eodvsg==;
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49388 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1ns7CY-0001a2-FJ; Fri, 20 May 2022 14:18:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Ryan Sundberg <ryan@HIDDEN>
Subject: Re: bug#55228: [PATCH 2/2] gnu: neovim: upgrade to 0.7.0
References: <20220502191338.5032-1-ryan@HIDDEN>
 <20220502191338.5032-2-ryan@HIDDEN>
Date: Fri, 20 May 2022 20:18:12 +0200
In-Reply-To: <20220502191338.5032-2-ryan@HIDDEN> (Ryan Sundberg's message
 of "Mon, 2 May 2022 12:13:39 -0700")
Message-ID: <87zgjcvziz.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 55228-done
Cc: 55228-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Ryan Sundberg <ryan@HIDDEN> skribis:

> * gnu/packages/vim.scm (neovim): Upgrade to 0.7.0

This was done independently and pushed a few days ago as commit
e49a2d03bbfcc0cc6b69f2299ba661f2e581301e.

Closing, thanks!

Ludo=E2=80=99.




Notification sent to Ryan Sundberg <ryan@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.
Merged 55228 55229. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 May 2022 19:14:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 15:14:58 2022
Received: from localhost ([127.0.0.1]:38009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlbVZ-00058b-P7
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 15:14:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:38108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ryan@HIDDEN>) id 1nlbVY-00058U-5d
 for submit <at> debbugs.gnu.org; Mon, 02 May 2022 15:14:56 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44982)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ryan@HIDDEN>) id 1nlbVX-0007Ol-T4
 for guix-patches@HIDDEN; Mon, 02 May 2022 15:14:56 -0400
Received: from mail.arctype.co ([138.68.9.245]:56449)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <ryan@HIDDEN>) id 1nlbVW-0007RP-4t
 for guix-patches@HIDDEN; Mon, 02 May 2022 15:14:55 -0400
Received: from authenticated-user (mail.arctype.co [138.68.9.245])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.arctype.co (Postfix) with ESMTPSA id 0B08213B1B9;
 Mon,  2 May 2022 19:14:52 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=arctype.co; s=mail;
 t=1651518892; bh=RkQGMtfCcnhi43gpi5XLQWS8G0j8pBCmUmxsdtZI/GQ=;
 h=From:To:Cc:Subject:Date:In-Reply-To:References:From;
 b=AZ+E3k1jOG80MumOeNTIvfr7nQMS/RaeHNwI7TmkhJRx9vuS95z1IXsLOlEfNmiKK
 lDznOW85TLu1+wVyFDKDfyNCdWaaSg7nytr9ONF9dBeNrgmTLwp9qQikbH1kjOscU4
 8rYFXkBZwg8zfs001jRKxB2RScRaGbTUNP+rPDPKWlczSk96AYpKLMkxJH3pw28Zw+
 sw7ZSfu2uS7NP/+Xnk1N/7V6KZp26I6wq6N1hzszvKe8baD+j0MhpwJoWgxaY/92M2
 igSBbOi1n00RH4/qlb13IqglMDlROBA48jHC4EAzanrrht+ohsvk/vAzXt2/A2io0O
 nu4wO6EeGMLGA==
From: Ryan Sundberg <ryan@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 2/2] gnu: neovim: upgrade to 0.7.0
Date: Mon,  2 May 2022 12:13:39 -0700
Message-Id: <20220502191338.5032-2-ryan@HIDDEN>
In-Reply-To: <20220502191338.5032-1-ryan@HIDDEN>
References: <20220502191338.5032-1-ryan@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=138.68.9.245; envelope-from=ryan@HIDDEN;
 helo=mail.arctype.co
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Ryan Sundberg <ryan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/vim.scm (neovim): Upgrade to 0.7.0
---
 gnu/packages/vim.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/vim.scm b/gnu/packages/vim.scm
index 7279798fe6..d04ee49775 100644
--- a/gnu/packages/vim.scm
+++ b/gnu/packages/vim.scm
@@ -668,7 +668,7 @@ (define-public neovim-syntastic
 (define-public neovim
   (package
     (name "neovim")
-    (version "0.6.1")
+    (version "0.7.0")
     (source
      (origin
        (method git-fetch)
@@ -677,7 +677,7 @@ (define-public neovim
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "10p6lg5yv9n6wcwdprwvvi56dfcm4wsj54nm0invyx3mhf7374lx"))))
+        (base32 "1m7xmry66pn27gvk7qj9di83xa1h7zjp4c6ygnf218pqhr08x06g"))))
     (build-system cmake-build-system)
     (arguments
      `(#:modules ((srfi srfi-26)
-- 
2.34.0





Acknowledgement sent to Ryan Sundberg <ryan@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#55228; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 May 2022 18:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.